mav_matrixRPYSet(3)

NAME
mav_matrixRPYSet - Set the rotation terms of a matrix.

LEVEL
Maverik Level 1

SYNTAX
MAV_matrix mav_matrixRPYSet(MAV_matrix m, float roll, float pitch, float yaw);

ARGUMENTS
Matrix to set. Rotation in degrees about Z-axis. Rotation in degrees about X-axis. Rotation in degrees about Y-axis.

DESCRIPTION
This function sets the rotation elements of matrix m, as specified by roll, pitch and yaw. All other elements in matrix m are left unchanged, and the modified matrix is returned.